Bug 1726444 - Tracking: xsimd fails to build on ppc64le s390x
Summary: Tracking: xsimd fails to build on ppc64le s390x
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xsimd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-s390x PPCTracker
TreeView+ depends on / blocked
 
Reported: 2019-07-02 21:03 UTC by Miro Hrončok
Modified: 2019-07-04 14:40 UTC (History)
1 user (show)

Fixed In Version: xsimd-7.2.3-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-04 14:39:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-02 21:03:41 UTC
xsimd has ExcludeArch for armv7hl, ppc64le, s390x

Due to https://github.com/QuantStack/xsimd/issues/289

Once I hear back from upstream, I'll hopefully unexclude some.

Comment 1 Miro Hrončok 2019-07-03 17:47:44 UTC
armv7hl workarounded in xsimd-7.2.3-2.fc31

Comment 2 Miro Hrončok 2019-07-04 10:55:38 UTC
"Regarding IBM architectures, we do not plan to support the PPC instruction set in the near future, so you might skip ppc64le and s390x for now."

Comment 3 Miro Hrončok 2019-07-04 11:50:29 UTC
actually upstream changed their mind: "xsimd should be shipped to all architectures, even if we do not support their provided SIMD instruction set."


Note You need to log in before you can comment on or make changes to this bug.